Skip to main content
GET
Get a Security Inbox thread

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string
required

Gmail thread id

Query Parameters

installation_id
string<uuid>
required

Mailbox id from GET /api/v1/gmail/connect/status

Response

Security Inbox thread with conversation body

id
string
required

Gmail thread id (triage external_id).

state
string
required

UNREAD or READ based on Gmail labels.

Example:

"UNREAD"

title
string
required

Email subject.

url
string
required

Link to the thread in Gmail.

created_at
string

Date header or internal date (ISO 8601 when parseable).

description
string

Snippet or decoded body text when available.

label_ids
string[]

Gmail label ids on the latest message in the thread.

mailbox
string

Connected mailbox email address.

Example:

"security@example.com"

reporter
string

From header value.

triage_task
object | null

Linked Neo triage run for this thread, when one exists for your team. Null when triage has not been started.